#include <stdio.h>
#include <stdlib.h>

void evaluate_polynomial(double x, double *coefficients, int n) {
    double result = coefficients[0];

    // Применение метода Хорнера
    for (int i = 1; i < n; i++) {
        result = result * x + coefficients[i];
    }

    printf("Vysledok je: %.2f\n", result);
}

int main() {
    double x;
    int n = 0;

    // Ввод значения x
    if (scanf("%lf", &x) != 1) {
        printf("Chyba: Neplatne x\n");
        return 1;
    }

    double coefficients[100];  // Массив для коэффициентов полинома

    // Чтение коэффициентов
    while (scanf("%lf", &coefficients[n]) == 1) {
        n++;
    }

    // Если нет коэффициентов
    if (n == 0) {
        printf("Chyba: Nebyly zadany koeficienty\n");
        return 1;
    }

    // Вызов функции для вычисления полинома
    evaluate_polynomial(x, coefficients, n);

    return 0;
}
